Get Transaction
GET
/transactions/{tx_id}
const url = 'https://example.com/transactions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/transactions/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tx_id
required
Tx Id
string format: uuid
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
TransactionDetail
Full detail: postings and provenance links.
object
created_at
required
Created At
string format: date-time
date
required
Date
string format: date
has_linked_originals
Has Linked Originals
boolean
id
required
Id
string format: uuid
is_transfer
required
Is Transfer
boolean
needs_review
required
Needs Review
True when the row is in the unreviewed set (#175): the same test as GET /transactions?reviewed=false and the review count
boolean
origin
required
Origin
string
postings
required
schedule_pinned
Schedule Pinned
boolean
split_lines
Split Lines
Category legs of a split transaction (one real leg plus two or more category legs, decision 87); 0 for every other row. Split rows are read-only.
integer
status
required
Status
string
Example
{ "has_linked_originals": false, "schedule_pinned": false, "split_lines": 0}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}